%define git git20110802

Summary:	A simple PolicyKit authentication agent
Name:		lxpolkit
Version:	0.1.0
Release:	%mkrel -c %git 1
Url:		http://www.lxde.org/
Source0:	%{name}-%{version}.tar.gz
Patch0:		lxpolkit-0.1.0-string-format.patch
License:	GPLv3+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	polkit-1-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool

%description
A simple PolicyKit authentication agent for LXDE.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .str

%build
#./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# make the polkit agent only start in LXDE
sed -i 's,NotShowIn=GNOME;KDE;,OnlyShowIn=LXDE,g' %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui/%{name}.ui


%changelog
* Wed Aug 03 2011 Александр Казанцев <kazancas@mandriva.org> 0.1.0-0.git20110802.1mdv2011.0
+ Revision: 693007
- update to minor release

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.git20100330.2mdv2011.0
+ Revision: 612789
- the mass rebuild of 2010.1 packages

* Wed Mar 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.0-0.git20100330.1mdv2010.1
+ Revision: 530378
- new git snapshot

* Sun Mar 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.0-0.git20100329.1mdv2010.1
+ Revision: 528626
- import lxpolkit


